Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591272 - libvirt: provide qemu stdout when "monitor socket did not show up: : Connection refused"
Summary: libvirt: provide qemu stdout when "monitor socket did not show up: : Connecti...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 19:09 UTC by Cole Robinson
Modified: 2010-09-15 06:25 UTC (History)
6 users (show)

Fixed In Version: libvirt-0.8.1-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 19:33:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix qemu startup error reporting race (deleted)
2010-05-17 15:03 UTC, Cole Robinson
no flags Details

Description Cole Robinson 2010-05-11 19:09:10 UTC
Certain qemu startup failure scenarios can result in the unhelpful error message:

monitor socket did not show up: : Connection refused

A couple examples:

https://bugzilla.redhat.com/show_bug.cgi?id=589912
https://bugzilla.redhat.com/show_bug.cgi?id=581381 (original comment)

A patch is available upstream (which I will update and repost shortly):

https://www.redhat.com/archives/libvir-list/2010-April/msg01424.html

We should really pull this in for RHEL6: this meaningless error message is frustrating for users and only leads to crappy bug reports which we are forced to needinfo with 'Please post your full /var/log/libvirt/qemu/foo.log' just so we can triage it.

Comment 2 RHEL Product and Program Management 2010-05-13 19:06:24 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Cole Robinson 2010-05-17 15:03:32 UTC
Created attachment 414574 [details]
Fix qemu startup error reporting race

From upstream commit:

http://libvirt.org/git/?p=libvirt.git;a=commit;h=83be64034a0b530c904ceb4fd1ed1c10b5cdf4bf

Comment 4 Dave Allan 2010-05-19 16:34:52 UTC
libvirt-0.8.1-6.el6 has been built in RHEL-6-candidate with the fix

Dave

Comment 6 Nan Zhang 2010-06-28 09:25:10 UTC
Verified with libvirt-0.8.1-10.el6.x86_64. Moving to VERIFIED.

# virt-install -n winxp -r 512 -f /var/lib/libvirt/images/winxp.img -s 10 -v --accelerate --vnc -c /var/lib/libvirt/boot/en_windows_xp_professional_with_service_pack_3_x86_cd_vl_x14-73974.iso --os-type=windows --os-variant=winxp


Starting install...
Creating domain...                                                                                    |    0 B     00:00     
Domain installation still in progress. Waiting for installation to complete.

Comment 7 releng-rhel@redhat.com 2010-07-02 19:33:24 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Comment 8 Johnny Liu 2010-09-15 06:25:58 UTC
Verified this bug with RHEL6.0 RC3 build, and PASSED.

libvirt-0.8.1-27.el6.x86_64
python-virtinst-0.500.3-7.el6.noarch
kernel-2.6.32-71.el6.x86_64
qemu-kvm-0.12.1.2-2.113.el6.x86_64


# virt-install -n winxp_i386 -r 768 -f /var/lib/libvirt/images/winxp_i386.dsk -s 10 -v --accelerate --vnc -c /home/jialiu/en_windows_xp_professional_with_service_pack_3_x86_cd_vl_x14-73974.iso --os-type=windows --os-variant=winxp

Starting install...
Allocating 'winxp_i386.dsk'                                                                                                           |  10 GB     00:00     
ERROR    internal error Process exited while reading console log output: char device redirected to /dev/pts/4
qemu: could not open disk image /home/jialiu/en_windows_xp_professional_with_service_pack_3_x86_cd_vl_x14-73974.iso: Permission denied

Domain installation does not appear to have been
 successful.  If it was, you can restart your domain
 by running 'virsh start winxp_i386'; otherwise, please
 restart your installation.
ERROR    internal error Process exited while reading console log output: char device redirected to /dev/pts/4
qemu: could not open disk image /home/jialiu/en_windows_xp_professional_with_service_pack_3_x86_cd_vl_x14-73974.iso: Permission denied
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 1054, in <module>
    main()
  File "/usr/sbin/virt-install", line 936, in main
    start_time, guest.start_install)
  File "/usr/sbin/virt-install", line 978, in do_install
    dom = install_func(conscb, progresscb, wait=(not wait))
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 973, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 1038, in _do_install
    "install")
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 1009, in _create_guest
    dom = self.conn.createLinux(start_xml, 0)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 1270, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Process exited while reading console log output: char device redirected to /dev/pts/4
qemu: could not open disk image /home/jialiu/en_windows_xp_professional_with_service_pack_3_x86_cd_vl_x14-73974.iso: Permission denied


Now the error message is more helpful than - 
monitor socket did not show up: : Connection refused

So this bug is fixed.


Note You need to log in before you can comment on or make changes to this bug.